Subject: bug#58064: 29.0.50; XHTML+ mode misinterpretes apostrophe in element text

From: Pedro Andres Aranda Gutierrez <[email-masked]>
Date: Thu, 29 Sep 2022 08:01:55 +0200

I can confirm that, because the attached minimalist test file seems to be
font-locked correctly :-)

Best, /PA

On Wed, 28 Sept 2022 at 12:54, Lars Ingebrigtsen <[email-masked]> wrote:

> (Please keep the debbugs address in the CCs -- otherwise it won't reach
> the bug tracker.)
>
> Pedro Andres Aranda Gutierrez <[email-masked]> writes:
>
> > Test methodolgy:
> >
> > 1. curl -OL https://gutenberg.org/files/34811/34811-h.zip
> > 2. emacs -Q 34811-h.zip
> > 3. select the htm file in the archive
> > 4. look for 'ook'
>
> That was a huge file, but I've narrowed it down to a more realistic test
> case; included below.
>
> It seems to be triggered when there's a <style> section that's longer
> than 1K that precedes the "c'est", somehow.
>
> I know nothing about mhtml-mode -- perhaps it's obvious to somebody else
> what the problem is?
>
> »Je, den Düwel ook, c'est la question, ma très chère demoiselle!«
>

-- 
Fragen sind nicht da um beantwortet zu werden,
Fragen sind da um gestellt zu werden
Georg Kreisler

Headaches with a Juju log:
unit-basic-16: 09:17:36 WARNING juju.worker.uniter.operation we should run
a leader-deposed hook here, but we can't yet